From: "Yixun Lan" <dlan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-dns/smartdns/
Date: Wed, 17 May 2023 12:27:36 +0000 (UTC) [thread overview]
Message-ID: <1684326429.64897376100bbf32cf4df37140440515b6bcd466.dlan@gentoo> (raw)
commit: 64897376100bbf32cf4df37140440515b6bcd466
Author: Yixun Lan <dlan <AT> gentoo <DOT> org>
AuthorDate: Wed May 17 12:25:43 2023 +0000
Commit: Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Wed May 17 12:27:09 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=64897376
net-dns/smartdns: add 42
Signed-off-by: Yixun Lan <dlan <AT> gentoo.org>
net-dns/smartdns/Manifest | 1 +
net-dns/smartdns/smartdns-42.ebuild | 33 +++++++++++++++++++++++++++++++++
2 files changed, 34 insertions(+)
diff --git a/net-dns/smartdns/Manifest b/net-dns/smartdns/Manifest
index 1ce0d8ebdb4c..4809f4425740 100644
--- a/net-dns/smartdns/Manifest
+++ b/net-dns/smartdns/Manifest
@@ -1,2 +1,3 @@
DIST smartdns-40.tar.gz 542046 BLAKE2B 33612f46168c4a562880a6ee4099a11f5259bbca1fa4055d3479577e6115934282ccc4d05a90af709da46171934a1ac999b8e3f3d92a1de8a1ce0b9b5b564742 SHA512 d792879b48d05edd016df5ee46eb105dcb21520b08a7d26e28ec1ad890c6a82e21468c717c3bc2fc13b38af12e8883e0007d93488a1549355941f190b175248b
DIST smartdns-41.tar.gz 562057 BLAKE2B 7e30fa02f4e743a9de42d69c7ce12d8d2ce39363507d56279d6843305b88decddc561bfa3cc16d83d937a881dc87e2cd0000ef2945eb3ca3e0b42832e363d810 SHA512 85d8523f62f80533bdbdcaf3fd50e4b36cfb4898f8af6221cd06cae69fe9509d0a6a6f8ef4effee86c36caa5090f97d11b4fed4dabed66ad5d9b665f71247315
+DIST smartdns-42.tar.gz 567079 BLAKE2B a42724f4aa540bf5f07ddebe46e75f16cd69098461b0f9a009a53a9570ff1bdc9ad605dfad79f94d5901ec21bdd3f91848dedce29cef3bf8a563ba94f4a76bb8 SHA512 7ad4ffbad056e84894dd23a18396afe6174a1137fa3edee4e12bf1487dd40d91158c89fd9e3c894603a51f639826acccdfdf1ddb8a25e77158dfe5bd54eb6f20
diff --git a/net-dns/smartdns/smartdns-42.ebuild b/net-dns/smartdns/smartdns-42.ebuild
new file mode 100644
index 000000000000..96243a40fbf5
--- /dev/null
+++ b/net-dns/smartdns/smartdns-42.ebuild
@@ -0,0 +1,33 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit systemd
+DESCRIPTION="A local DNS server returns the fastest access results"
+HOMEPAGE="https://github.com/pymumu/smartdns"
+SRC_URI="https://github.com/pymumu/smartdns/archive/refs/tags/Release${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="dev-libs/openssl:0="
+RDEPEND="${DEPEND}"
+BDEPEND=""
+
+S="${WORKDIR}/${PN}-Release${PV}"
+
+src_prepare() {
+ default
+ sed -i -e "/install .*default /d" \
+ -e "/install .*init.d /d" Makefile || die
+}
+
+src_install() {
+ emake DESTDIR="${D}" \
+ SYSTEMDSYSTEMUNITDIR="$(systemd_get_systemunitdir)" install
+
+ newconfd "${FILESDIR}"/smartdns.confd smartdns
+ newinitd "${FILESDIR}"/smartdns.initd smartdns
+}
next reply other threads:[~2023-05-17 12:27 UTC|newest]
Thread overview: 20+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-05-17 12:27 Yixun Lan [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-13 6:15 [gentoo-commits] repo/gentoo:master commit in: net-dns/smartdns/ Yixun Lan
2024-06-27 0:27 Yixun Lan
2024-06-27 0:27 Yixun Lan
2024-02-10 22:36 Yixun Lan
2023-12-07 13:40 Yixun Lan
2023-12-07 13:40 Yixun Lan
2023-08-28 3:18 Yixun Lan
2023-08-28 3:18 Yixun Lan
2023-05-17 12:27 Yixun Lan
2023-03-20 14:03 Yixun Lan
2023-03-20 14:03 Yixun Lan
2023-01-04 1:05 Yixun Lan
2023-01-04 1:05 Yixun Lan
2022-11-16 7:34 Yixun Lan
2022-11-16 7:34 Yixun Lan
2022-10-08 2:07 Yixun Lan
2022-09-05 13:11 Yixun Lan
2022-09-05 13:11 Yixun Lan
2022-08-12 14:17 Yixun Lan
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1684326429.64897376100bbf32cf4df37140440515b6bcd466.dlan@gentoo \
--to=dlan@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox